curl --request GET \
--url https://app.kosli.com/api/v2/repos/{org}/{repo_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kosli.com/api/v2/repos/{org}/{repo_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kosli.com/api/v2/repos/{org}/{repo_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"short_name": "<string>",
"provider": "github",
"repo_id": "<string>",
"vcs_instance": "<string>",
"namespace_path": [
"<string>"
],
"additional_info": {},
"description": "<string>",
"tags": {},
"_links": {}
}{
"message": "Multiple repos share this name across providers; specify 'provider' to disambiguate"
}{
"message": "Repo not found"
}Get a repo
Get a repo by name, or unambiguously by its internal id.
Returns the repo’s details, including its internal id, which is required to
tag the repo via the generic tags endpoint (PATCH /tags//repo/).
If multiple repos share the same name across different VCS providers and
neither id nor provider is given, returns a 400 listing the providers to
choose from.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
VCS provider (e.g. github, gitlab, bitbucket, azure-devops, circleci). Required when multiple repos share the same name across providers.
github, gitlab, bitbucket, bitbucket_cloud, bitbucket_dc, azure-devops, azure_devops_services, azure_devops_server, circleci, git, subversion The repo's internal id (returned as id in the repo response). If given, this unambiguously identifies the repo and 'provider' is ignored.
Response
Successful Response
github, gitlab, bitbucket, bitbucket_cloud, bitbucket_dc, azure-devops, azure_devops_services, azure_devops_server, circleci, git, subversion Show child attributes
Show child attributes